package com.pnkx.system.domain;

import com.pnkx.common.annotation.Excel;
import com.pnkx.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * app更新日志对象 app_update_log
 *
 * @author pnkx
 * @date 2021-11-30
 */
@Data
public class SysAppUpdateLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 日志名称
     */
    private String name;

    /**
     * 更新内容
     */
    @Excel(name = "更新内容")
    private String content;

    /**
     * 更新内容（富文本格式）
     */
    private String richText;

    /**
     * 删除标志
     */
    private Integer delFlag;

    /**
     * 下载地址
     */
    private String downloadUrl;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private String version;
}
